{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://lapis.cov-spectrum.org/open/v2","description":"Generated server url"}],"tags":[{"name":"Actuator","description":"Monitor and interact","externalDocs":{"description":"Spring Boot Actuator Web API Documentation","url":"https://docs.spring.io/spring-boot/docs/current/actuator-api/html/"}}],"paths":{"/sample/unalignedNucleotideSequences":{"get":{"tags":["single-segmented-sequence-controller"],"description":"Returns a string of unaligned nucleotide sequences. Only sequences matching the \n    specified sequence filters are considered.","operationId":"getUnalignedNucleotideSequences","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"The parts of the fasta header to order by. By default, only the primary key and 'random' are allowed. The other fields are only allowed if they are part of the 'fastaHeaderTemplate'.","required":false,"schema":{"$ref":"#/components/schemas/NucleotideSequencesOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The format of the sequences in the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nWhen both are specified, the request parameter takes precedence over the header.\n","required":false,"schema":{"$ref":"#/components/schemas/SequencesDataFormat"}},{"name":"fastaHeaderTemplate","in":"query","description":"Use this to customize the header of the FASTA file.\nThis parameter will be ignored if the data format is not FASTA.\nIt supports free-form text, placeholders of the form \"{<metadataField>}\" to include metadata fields in the header and\n\"the keyword {.segment}\" to include the segment name in the header.\n","required":false,"schema":{"$ref":"#/components/schemas/NucleotideFastaHeaderTemplate"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NucleotideSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/NucleotideSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}},"post":{"tags":["single-segmented-sequence-controller"],"description":"Returns a string of unaligned nucleotide sequences. Only sequences matching the \n    specified sequence filters are considered.","operationId":"postUnalignedNucleotideSequence","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideSequenceRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/NucleotideSequenceRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NucleotideSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/NucleotideSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}}},"/sample/phyloSubtree":{"get":{"tags":["lapis-controller"],"description":"Returns the phylogenetic subtree of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored.","operationId":"getPhyloSubtreeAsNewick","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"phyloTreeField","in":"query","description":"The field that contains the node labels in the phylogenetic tree.","required":true,"schema":{"$ref":"#/components/schemas/PhyloTreeField"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"dataFormat","in":"query","description":"The format of the phylogenetic tree in the response.","required":false,"schema":{"$ref":"#/components/schemas/TreeDataFormat"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the phylogenetic subtree of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"text/x-nh":{"example":"(seq1:3,(seq2:2,seq3:1)node2:1)node1:1;"}}}}},"post":{"tags":["lapis-controller"],"operationId":"postPhyloSubtreeAsNewick","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhyloSubtreeRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PhyloSubtreeRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the phylogenetic subtree of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"text/x-nh":{"example":"(seq1:3,(seq2:2,seq3:1)node2:1)node1:1;"}}}}}},"/sample/nucleotideMutations":{"get":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide mutations.\n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences \n    matching the specified sequence filters with non-ambiguous reads at that position.","operationId":"getNucleotideMutationsAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"minProportion","in":"query","required":false,"schema":{"type":"number","format":"double","default":0.05}},{"name":"orderBy","in":"query","description":"\nThe fields of the response to order by.\nYou can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.\n","required":false,"schema":{"$ref":"#/components/schemas/MutationsOrderByFields"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"fields","in":"query","description":"The fields that the response items should contain.\nIf empty, all fields are returned.\nIf requesting CSV or TSV data, the columns are ordered in the same order as the fields are specified here.\n","required":false,"schema":{"$ref":"#/components/schemas/MutationsFields"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide mutations.\n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences \n    matching the specified sequence filters with non-ambiguous reads at that position.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideMutationsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide mutations.\n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences \n    matching the specified sequence filters with non-ambiguous reads at that position.","operationId":"postNucleotideMutations","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SequenceFiltersWithMinProportion"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/SequenceFiltersWithMinProportion"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide mutations.\n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences \n    matching the specified sequence filters with non-ambiguous reads at that position.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideMutationsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/nucleotideInsertions":{"get":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide insertions.","operationId":"getNucleotideInsertionsAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"\nThe fields of the response to order by.\nYou can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.\n","required":false,"schema":{"$ref":"#/components/schemas/InsertionsOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide insertions.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideInsertionsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide insertions.","operationId":"postNucleotideInsertions","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InsertionsRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/InsertionsRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by nucleotide insertions.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideInsertionsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/mostRecentCommonAncestor":{"get":{"tags":["lapis-controller"],"description":"Returns the most recent common ancestor of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored and the count \n    is added to the field missingNodeCount. To include these sequences in the response set the `printNodesNotInTree`\n     parameter to true.","operationId":"getMostRecentCommonAncestorAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"phyloTreeField","in":"query","description":"The field that contains the node labels in the phylogenetic tree.","required":true,"schema":{"$ref":"#/components/schemas/PhyloTreeField"}},{"name":"printNodesNotInTree","in":"query","description":"If true, the response will include a comma separated list of nodes that fit the filter criteria \n    but are not present in the phylogenetic tree. The field \\\"missingNodeCount\\\" will contain the number of \n    sequences that were not included in the phylogenetic tree.","required":false,"schema":{"type":"boolean","default":false}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the most recent common ancestor of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored and the count \n    is added to the field missingNodeCount. To include these sequences in the response set the `printNodesNotInTree`\n     parameter to true.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MostRecentCommonAncestorResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the most recent common ancestor of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored and the count \n    is added to the field missingNodeCount. To include these sequences in the response set the `printNodesNotInTree`\n     parameter to true.","operationId":"postMostRecentCommonAncestor","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MostRecentCommonAncestorRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MostRecentCommonAncestorRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the most recent common ancestor of sequences matching the filter.\n    If sequences included in the filter do not exist in the phylogenetic tree they are ignored and the count \n    is added to the field missingNodeCount. To include these sequences in the response set the `printNodesNotInTree`\n     parameter to true.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MostRecentCommonAncestorResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/details":{"get":{"tags":["lapis-controller"],"description":"Returns the specified metadata fields of sequences matching the filter.","operationId":"getDetailsAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"fields","in":"query","description":"The fields that the response items should contain.\nIf empty, all fields are returned.\nIf requesting CSV or TSV data, the columns are ordered in the same order as the fields are specified here.\n","required":false,"schema":{"$ref":"#/components/schemas/DetailsFields"}},{"name":"orderBy","in":"query","description":"The fields of the response to order by. Fields specified here must also be present in \\\"fields\\\".\n    You can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.","required":false,"schema":{"$ref":"#/components/schemas/DetailsOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the specified metadata fields of sequences matching the filter.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DetailsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the specified metadata fields of sequences matching the filter.","operationId":"postDetails","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DetailsPostRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DetailsPostRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the specified metadata fields of sequences matching the filter.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DetailsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/aminoAcidMutations":{"get":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by amino acid mutations. \n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences\n    matching the specified sequence filters with non-ambiguous reads at that position.","operationId":"getAminoAcidMutationsAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"minProportion","in":"query","required":false,"schema":{"type":"number","format":"double","default":0.05}},{"name":"orderBy","in":"query","description":"\nThe fields of the response to order by.\nYou can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.\n","required":false,"schema":{"$ref":"#/components/schemas/MutationsOrderByFields"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"fields","in":"query","description":"The fields that the response items should contain.\nIf empty, all fields are returned.\nIf requesting CSV or TSV data, the columns are ordered in the same order as the fields are specified here.\n","required":false,"schema":{"$ref":"#/components/schemas/MutationsFields"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by amino acid mutations. \n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences\n    matching the specified sequence filters with non-ambiguous reads at that position.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AminoAcidMutationsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters, grouped by amino acid mutations. \n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences\n    matching the specified sequence filters with non-ambiguous reads at that position.","operationId":"postAminoAcidMutations","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SequenceFiltersWithMinProportion"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/SequenceFiltersWithMinProportion"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters, grouped by amino acid mutations. \n    Additionally, the relative frequency of each mutation is returned. It is relative to the total number of sequences\n    matching the specified sequence filters with non-ambiguous reads at that position.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AminoAcidMutationsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/aminoAcidInsertions":{"get":{"tags":["lapis-controller"],"description":"Returns a list of mutations along with the counts and proportions whose proportions are greater \n    than or equal to the specified minProportion. Only sequences matching the specified sequence filters are\n    considered.","operationId":"getAminoAcidInsertionsAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"\nThe fields of the response to order by.\nYou can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.\n","required":false,"schema":{"$ref":"#/components/schemas/InsertionsOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns a list of mutations along with the counts and proportions whose proportions are greater \n    than or equal to the specified minProportion. Only sequences matching the specified sequence filters are\n    considered.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AminoAcidInsertionsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns a list of mutations along with the counts and proportions whose proportions are greater \n    than or equal to the specified minProportion. Only sequences matching the specified sequence filters are\n    considered.","operationId":"postAminoAcidInsertions","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InsertionsRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/InsertionsRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns a list of mutations along with the counts and proportions whose proportions are greater \n    than or equal to the specified minProportion. Only sequences matching the specified sequence filters are\n    considered.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AminoAcidInsertionsResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/sample/alignedNucleotideSequences":{"get":{"tags":["single-segmented-sequence-controller"],"description":"Returns a string of aligned nucleotide sequences. Only sequences matching the \n    specified sequence filters are considered.","operationId":"getAlignedNucleotideSequences","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"The parts of the fasta header to order by. By default, only the primary key and 'random' are allowed. The other fields are only allowed if they are part of the 'fastaHeaderTemplate'.","required":false,"schema":{"$ref":"#/components/schemas/NucleotideSequencesOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The format of the sequences in the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nWhen both are specified, the request parameter takes precedence over the header.\n","required":false,"schema":{"$ref":"#/components/schemas/SequencesDataFormat"}},{"name":"fastaHeaderTemplate","in":"query","description":"Use this to customize the header of the FASTA file.\nThis parameter will be ignored if the data format is not FASTA.\nIt supports free-form text, placeholders of the form \"{<metadataField>}\" to include metadata fields in the header and\n\"the keyword {.segment}\" to include the segment name in the header.\n","required":false,"schema":{"$ref":"#/components/schemas/NucleotideFastaHeaderTemplate"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NucleotideSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/NucleotideSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}},"post":{"tags":["single-segmented-sequence-controller"],"description":"Returns a string of aligned nucleotide sequences. Only sequences matching the \n    specified sequence filters are considered.","operationId":"postAlignedNucleotideSequence","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NucleotideSequenceRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/NucleotideSequenceRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NucleotideSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/NucleotideSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}}},"/sample/alignedAminoAcidSequences":{"get":{"tags":["lapis-controller"],"description":"Returns the sequences of all requested genes that match the given filter criteria.","operationId":"getAllAlignedAminoAcidSequences","parameters":[{"name":"genes","in":"query","description":"List of genes to retrieve sequences for. If not provided, all genes will be returned.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/Gene"}}},{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"The parts of the fasta header to order by. By default, only the primary key and 'random' are allowed. The other fields are only allowed if they are part of the 'fastaHeaderTemplate'.","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidSequencesOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The format of the sequences in the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nWhen both are specified, the request parameter takes precedence over the header.\n","required":false,"schema":{"$ref":"#/components/schemas/SequencesDataFormat"}},{"name":"fastaHeaderTemplate","in":"query","description":"Use this to customize the header of the FASTA file.\nThis parameter will be ignored if the data format is not FASTA.\nIt supports free-form text, placeholders of the form \"{<metadataField>}\" to include metadata fields in the header and\n\"the keyword {.gene}\" to include the gene name in the header.\n","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidFastaHeaderTemplate"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the sequences of all requested genes that match the given filter criteria.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AllAminoAcidSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/AllAminoAcidSequencesResponse","description":"An NDJSON stream of amino acid sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string","description":"The fasta headers are of the format '<sequence key>|<gene name>'","example":">sequenceKey|geneName\nATCG..."}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the sequences of all requested genes that match the given filter criteria.","operationId":"postAllAlignedAminoAcidSequences","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAminoAcidSequenceRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AllAminoAcidSequenceRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the sequences of all requested genes that match the given filter criteria.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AllAminoAcidSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/AllAminoAcidSequencesResponse","description":"An NDJSON stream of amino acid sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string","description":"The fasta headers are of the format '<sequence key>|<gene name>'","example":">sequenceKey|geneName\nATCG..."}}}}}}},"/sample/alignedAminoAcidSequences/{gene}":{"get":{"tags":["lapis-controller"],"description":"Returns a string of aligned amino acid sequences. Only sequences matching the specified\n    sequence filters are considered.","operationId":"getAlignedAminoAcidSequence","parameters":[{"name":"gene","in":"path","required":true,"schema":{"$ref":"#/components/schemas/Gene"}},{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"orderBy","in":"query","description":"The parts of the fasta header to order by. By default, only the primary key and 'random' are allowed. The other fields are only allowed if they are part of the 'fastaHeaderTemplate'.","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidSequencesOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The format of the sequences in the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nWhen both are specified, the request parameter takes precedence over the header.\n","required":false,"schema":{"$ref":"#/components/schemas/SequencesDataFormat"}},{"name":"fastaHeaderTemplate","in":"query","description":"Use this to customize the header of the FASTA file.\nThis parameter will be ignored if the data format is not FASTA.\nIt supports free-form text, placeholders of the form \"{<metadataField>}\" to include metadata fields in the header and\n\"the keyword {.gene}\" to include the gene name in the header.\n","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidFastaHeaderTemplate"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns a string of aligned amino acid sequences. Only sequences matching the specified\n    sequence filters are considered.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AminoAcidSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/AminoAcidSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns a string of aligned amino acid sequences. Only sequences matching the specified\n    sequence filters are considered.","operationId":"postAlignedAminoAcidSequence","parameters":[{"name":"gene","in":"path","required":true,"schema":{"$ref":"#/components/schemas/Gene"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AminoAcidSequenceRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AminoAcidSequenceRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns a string of aligned amino acid sequences. Only sequences matching the specified\n    sequence filters are considered.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AminoAcidSequencesResponse"}}},"application/x-ndjson":{"schema":{"$ref":"#/components/schemas/AminoAcidSequencesResponse","description":"An NDJSON stream of nucleotide sequences. The schema is to be understood per line"}},"text/x-fasta":{"schema":{"type":"string"}}}}}}},"/sample/aggregated":{"get":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters.","operationId":"getAggregatedAsCsv","parameters":[{"name":"sequenceFilters","in":"query","description":"Valid filters for sequence data. This may be empty. Only provide the fields that should be filtered by.","required":false,"style":"form","schema":{"$ref":"#/components/schemas/SequenceFilters"}},{"name":"fields","in":"query","description":"The fields to stratify by.\nIf empty, only the overall count is returned.\nIf requesting CSV or TSV data, the columns are ordered in the same order as the fields are specified here.","required":false,"schema":{"$ref":"#/components/schemas/FieldsToAggregateBy"}},{"name":"orderBy","in":"query","description":"The fields of the response to order by. \n    Fields specified here must either be \\\"count\\\" or also be present in \\\"fields\\\".\n    You can also use \\\"random\\\" or \\\"random(SEED)\\\" where SEED is an integer.","required":false,"schema":{"$ref":"#/components/schemas/AggregatedOrderByFields"}},{"name":"nucleotideMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideMutations"}},{"name":"aminoAcidMutations","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidMutations"}},{"name":"limit","in":"query","description":"The maximum number of entries to return in the response","required":false,"schema":{"$ref":"#/components/schemas/Limit"}},{"name":"offset","in":"query","description":"The offset of the first entry to return in the response. \n    This is useful for pagination in combination with \\\"limit\\\".","required":false,"schema":{"$ref":"#/components/schemas/Offset"}},{"name":"dataFormat","in":"query","description":"The data format of the response.\nAlternatively, the data format can be specified by setting the \\\"Accept\\\"-header.\nYou can include the parameter to return the CSV/TSV without headers: \"text/csv;headers=false\". \nWhen both are specified, the request parameter takes precedence over the header.","required":false,"schema":{"$ref":"#/components/schemas/DataFormat"}},{"name":"nucleotideInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NucleotideInsertions"}},{"name":"aminoAcidInsertions","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AminoAcidInsertions"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregatedResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}},"post":{"tags":["lapis-controller"],"description":"Returns the number of sequences matching the specified sequence filters.","operationId":"postAggregated","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregatedPostRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AggregatedPostRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"Returns the number of sequences matching the specified sequence filters.","headers":{"X-Request-ID":{"description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","style":"simple","schema":{"type":"string"}},"Lapis-Data-Version":{"description":"The data version of data in SILO. Same as the value returned in the info object in the response body.","style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregatedResponse"}},"text/csv":{"schema":{"type":"string"}},"text/tab-separated-values":{"schema":{"type":"string"}}}}}}},"/query/parse":{"post":{"tags":["query-controller"],"description":"\nParses a list of advanced query strings into SILO filter expressions.\nReturns partial results: successfully parsed queries will have a \"filter\" field,\nwhile failed queries will have an \"error\" field with the error message.\nThe endpoint returns HTTP 200 OK even when some queries fail to parse.\nOnly malformed request structure (e.g., invalid JSON) will result in HTTP 400 Bad Request.\n","operationId":"postParse","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryParseRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryParseResponse"}}}}}}},"/component/queriesOverTime":{"post":{"tags":["queries-over-time-controller"],"description":"\nReturns the number of sequences matching the specified queries within the requested date ranges, along \nwith the corresponding coverage in a tabular format. The order of the queries and date ranges is preserved.\n    \nThis endpoint is a generalization of the \"mutations over time\" endpoints. It allows for more complex queries,\nsuch as combinations of mutations (\"mutation 1 or mutation 2\") and other filters. Since it's not obvious what \n\"coverage\" means for arbitrary queries, the user always has to specify a coverage query separately.\n","operationId":"postQueriesOverTime","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueriesOverTimeRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueriesOverTimeResponseQueriesOverTimeResult"}}}}}}},"/component/nucleotideMutationsOverTime":{"post":{"tags":["queries-over-time-controller"],"description":"Returns the number of sequences containing the specified mutations within the requested date ranges, along \n    with the corresponding coverage in a tabular format. The order of the mutations and date ranges is preserved.","operationId":"postNucleotideMutationsOverTime","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationsOverTimeRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueriesOverTimeResponseMutationsOverTimeResult"}}}}}}},"/component/aminoAcidMutationsOverTime":{"post":{"tags":["queries-over-time-controller"],"description":"Returns the number of sequences containing the specified mutations within the requested date ranges, along \n    with the corresponding coverage in a tabular format. The order of the mutations and date ranges is preserved.","operationId":"postAminoAcidMutationsOverTime","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationsOverTimeRequest"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueriesOverTimeResponseMutationsOverTimeResult"}}}}}}},"/sample/referenceGenome":{"get":{"tags":["info-controller"],"description":"Returns the reference genome.","operationId":"getReferenceGenome","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferenceGenome"}}}}}}},"/sample/lineageDefinition/{column}":{"get":{"tags":["info-controller"],"description":"Download the lineage definition file used for a certain column.\nThis can be used to reconstruct the lineage tree. \n","operationId":"getLineageDefinition","parameters":[{"name":"column","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/LineageNode"}}},"application/yaml":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/LineageNode"}}}}}}}},"/sample/info":{"get":{"tags":["info-controller"],"description":"Returns information about LAPIS.","operationId":"getInfo","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisInfo"}}}}}}},"/sample/databaseConfig":{"get":{"tags":["info-controller"],"description":"Returns the database configuration.","operationId":"getDatabaseConfigAsJson","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"downloadAsFile","in":"query","description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n","schema":{"type":"boolean","default":false,"description":"\nSet to true to make your browser trigger a download instead of showing the response content by setting the\n'Content-Disposition' header to 'attachment'.\n"}},{"name":"downloadFileBasename","in":"query","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n","schema":{"type":"string","description":"\nSpecify the download file basename, for example, specifying 'myFile' will result in a file named 'myFile.json' \n(when no compression is selected). \nThis parameter only takes effect when 'downloadAsFile' is set to true.\n"}},{"name":"compression","in":"query","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","schema":{"type":"string","description":"\nOptionally set this to return the response compressed in the specified format.\nAlternatively, you can set the 'Accept-Encoding' header to the respective value.\n","enum":["gzip","zstd"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatabaseConfig"}},"application/yaml":{"schema":{"$ref":"#/components/schemas/DatabaseConfig"}}}}}}},"/actuator":{"get":{"tags":["Actuator"],"summary":"Actuator root web endpoint","operationId":"links","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Link"}}}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Link"}}}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Link"}}}}}}}}},"/actuator/metrics":{"get":{"tags":["Actuator"],"summary":"Actuator web endpoint 'metrics'","operationId":"listNames","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object"}}}}}}},"/actuator/metrics/{requiredMetricName}":{"get":{"tags":["Actuator"],"summary":"Actuator web endpoint 'metrics-requiredMetricName'","operationId":"metric","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"requiredMetricName","in":"path","required":true,"schema":{"type":"string"}},{"name":"tag","in":"query","schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object"}}}},"404":{"description":"Not Found"}}}},"/actuator/health":{"get":{"tags":["Actuator"],"summary":"Actuator web endpoint 'health'","operationId":"health","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object"}}}}}}},"/actuator/caches":{"get":{"tags":["Actuator"],"summary":"Actuator web endpoint 'caches'","operationId":"caches","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object"}}}}}},"delete":{"tags":["Actuator"],"summary":"Actuator web endpoint 'caches'","operationId":"clearCaches","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}}],"responses":{"204":{"description":"No Content"}}}},"/actuator/caches/{cache}":{"get":{"tags":["Actuator"],"summary":"Actuator web endpoint 'caches-cache'","operationId":"cache","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"cache","in":"path","required":true,"schema":{"type":"string"}},{"name":"cacheManager","in":"query","schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LapisErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v2+json":{"schema":{"type":"object"}},"application/vnd.spring-boot.actuator.v3+json":{"schema":{"type":"object"}}}},"404":{"description":"Not Found"}}},"delete":{"tags":["Actuator"],"summary":"Actuator web endpoint 'caches-cache'","operationId":"clearCache","parameters":[{"name":"X-Request-ID","in":"header","description":"\nA UUID that uniquely identifies the request for tracing purposes.\nIf none is provided in the request, LAPIS will generate one.\n","required":false,"content":{"text/plain":{"schema":{}}}},{"name":"cache","in":"path","required":true,"schema":{"type":"string"}},{"name":"cacheManager
[...]
